## picobox 4.0.0

=== docs/requirements.txt ===
sphinx == 7.2.6
sphinx-copybutton == 0.5.2
furo == 2023.9.10

=== debian/changelog ===
picobox (4.0.0-2) unstable; urgency=medium

  * Fix suggests in d/control

 -- Julian Gilbey <jdg@debian.org>  Wed, 08 May 2024 17:32:57 +0100

picobox (4.0.0-1) unstable; urgency=medium

  * Initial upload (closes: #1068548)

 -- Julian Gilbey <jdg@debian.org>  Wed, 10 Apr 2024 05:53:01 +0100

=== debian/control ===
Source: picobox
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>
Section: python
Priority: optional
Standards-Version: 4.6.2
Homepage: https://github.com/ikalnytskyi/picobox
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               furo <!nodoc>,
               pybuild-plugin-pyproject,
               python3-all,
               python3-doc <!nodoc>,
               python3-flask <!nocheck>,
               python3-hatch-vcs,
               python3-hatchling,
               python3-pytest <!nocheck>,
               python3-sphinx,
               python3-sphinx-copybutton <!nodoc>
Vcs-Git: https://salsa.debian.org/python-team/packages/picobox.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/picobox
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no
Description: Opinionated Python dependency injection framework
 Picobox is designed to be clean, pragmatic and with Python in mind.
 No complex graphs, no implicit injections, no type bindings - just
 picoboxes and explicit demands.
 .
 It is a small, thread-safe, pure Python library with no dependencies.

Package: python3-picobox
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-picobox-doc
Description: ${source:Synopsis} (Python 3)
 ${source:Extended-Description}
 .
 This package provides the Python library.

Package: python-picobox-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: python3-picobox
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package contains HTML documentation.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export PYBUILD_NAME = picobox

%:
	dh $@ --with=sphinxdoc --buildsystem=pybuild

ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build:
	export PYTHONPATH=$$(pybuild --print build_dir | grep "^$$(py3versions -d)" | sed -e 's/^.*: //'); \
	    sphinx-build -W -b html docs docs/_build/html
endif

override_dh_installdocs:
	dh_installdocs -ppython-picobox-doc --doc-main-package=python3-picobox
	dh_installdocs --remaining-packages

override_dh_installexamples:
	dh_installexamples -ppython-picobox-doc --doc-main-package=python3-picobox
	dh_installexamples --remaining-packages

execute_after_dh_auto_clean:
	rm -rf docs/_build

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
    https://api.github.com/repos/ikalnytskyi/picobox/tags?per_page=100 \
    https://api.github.com/repos/ikalnytskyi/picobox/tarball/refs/tags/@ANY_VERSION@
